Subject: Per-session flags

From: Chris Newman <[email-masked]>
Date: Mon, 18 Oct 1993 17:08:06 -0400 (EDT)

Mark contends that it is "not wrong" to have per-session flags.

I believe there are two cases here:

1) If the client can't find out which flags are per-session and which are
stored, then per-session flags are "wrong".  Take the \Seen example.  The
client either presents the server \Seen which may not persist and thus could
confuse users, or it would always keep it's own \Seen which breaks mobility.

2) If the client can find out which flags are per-session, I claim that
per-session flags are "useless".  The reason is that a smart client will
store local state for the flags it can't store on the server, and a
less-smart client will present no state, to prevent user confusion
(e.g. "Hello, computer help line.  There's this message that I've seen
before, but my mail program says I haven't seen it!  What's broken?").

		- Chris